# Class ConeQueryCoverage

java.lang.Object
uk.ac.starlink.ttools.cone.MocCoverage
uk.ac.starlink.ttools.cone.ConeQueryCoverage

All Implemented Interfaces:
  `Coverage`

public class ConeQueryCoverage extends MocCoverage
Coverage implementation giving the area defined by a sequence of positional (cone search-like) queries.

Since:
  9 Jan 2012
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from interface Coverage

`Coverage.Amount`

## Field Summary

### Fields inherited from class MocCoverage

`DFLT_HPI`

## Constructor Summary

Constructors
Constructor
Description
`ConeQueryCoverage(ConeQueryRowSequence qseq, double resolutionDeg)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected cds.moc.SMoc`
`createMoc()`
Constructs the MOC which will define this object's coverage.
`static void`
`main(String[] args)`

### Methods inherited from class MocCoverage

`discOverlaps, getAmount, getMoc, initCoverage`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConeQueryCoverage

public ConeQueryCoverage(ConeQueryRowSequence qseq, double resolutionDeg)
Constructor.

Parameters:
  `qseq` - defines a sequence of cone searches
  `resolutionDeg` - approximate resolution of coverage in degrees

## Method Details

### createMoc

protected cds.moc.SMoc createMoc() throws IOException
Description copied from class: `MocCoverage`
Constructs the MOC which will define this object's coverage. This method, which may be time-consuming, will be called a maximum of once by the `MocCoverage.initCoverage()` method of `MocCoverage`, and should not be called by anyone else.

Specified by:
  `createMoc` in class `MocCoverage`
Returns:
  new MOC defining footprint, or null
Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException

Throws:
  `IOException`